;(function () {
    var lineContainer, line, animationSpeed;

    function initBindings() {
        lineContainer.find('> *').on('click', function(e) {
            var $this = $(this);

            e.preventDefault();

            lineContainer.find('> *').removeClass('active');
            $this.addClass('active');

            var active = lineContainer.find('> .active');

            line.animate({
                'left': active.position().left,
                'width': active.width()
            }, animationSpeed);
        });
    }

    function slida(opts) {
        lineContainer = opts.lineContainer || $('.has-line');
        lineContainer.css({
            'position': 'relative',
            'padding-bottom': opts.paddingBottom || 0
        });

        lineContainer.append('<div class="slida"></div>');
        line = lineContainer.find('> .slida');

        line.css({
            'width': lineContainer.find('> .active').width(),
            'left': lineContainer.find('> .active').position().left,
            'bottom': 0,
            'position': 'absolute',
            'height': opts.height || 2,
            'background-color': opts.backgroundColor || '#fff'
        });

        animationSpeed = opts.animationSpeed || 400;

        initBindings();
    }

    if (typeof define === 'function' && typeof define.amd === 'object' && define.amd) {
        define(function() {
            return slida;
        });
    } else if (typeof module !== 'undefined' && module.exports) {
        module.exports.slida = slida;
    } else {
        window.slida = slida;
    }
})();